Unable to create a new host deployed on XenServer
Description

Hello,

I have problem with creates a new host deployed on xenserver. When I look to Virtual Machine bookmark I see error (doesn´t matter

which Compute profile is choose):

Failure: undefined method `memory_options' for #<#:0x00000003eca920>

 Same issue is in the Compute profiles if I click to any xenserver.

Foreman log:

2016-11-03 11:14:09 fc30251d [app] [W] Action failed  | NoMethodError: undefined method `memory_options' for

#<#<Class:0x0000000788ef58>:0x007fe52fa974c0>  |

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_xen-0.4.0/app/views/compute_resources_vms/form/xenserver/_base.html.er

b:29:in

`__opt_theforeman_tfm_root_usr_share_gems_gems_foreman_xen_______app_views_compute_resources_vms_form_xenserver_

_base_html_erb___3975886372376049017_70311260347420'

Thanks,

Zbynek

Related issues:

Related to Foreman - Bug #2314: Smaller grains for VM memory/RAM choice needed Closed 03/13/2013

Associated revisions

Revision 1a93412c - 11/03/2016 05:05 PM - Michael Moll 

fixes #17199 - use new CPU and RAM selectors

History

#1 - 11/03/2016 08:32 AM - Anonymous

- Status changed from New to Assigned

- Priority changed from Normal to High

- Assignee set to Anonymous

#2 - 11/03/2016 08:32 AM - Anonymous

- Related to Bug #2314: Smaller grains for VM memory/RAM choice needed added

#3 - 11/03/2016 08:44 AM - Marek Hulán

Sorry, I haven't realized this method could be used by plugins. I suppose the fix should be quite simple, you should be able apply similar patch like

this https://github.com/theforeman/foreman/pull/3774/files#diff-51e61c2454ccdab23f8b20efd5a657d7 to start using new field. Let me know if you

need help.
#4 - 11/03/2016 05:07 PM - Anonymous

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-xen/pull/47 added

#5 - 11/03/2016 05:09 PM - Anonymous

Zbyněk, could you test the patch in the pull request?

#6 - 11/04/2016 05:33 AM - Zbynek Nemas

Michael, now I am able edit Compute profiles. However I still cannot create virtual host correctly, but it´s not related with this bug. I will create new

task later.

Thanks

#7 - 11/04/2016 10:54 AM - Anonymous

Yes, please open a new issue for the other bug. As I'm not using XenServer myself the only way to know new bugs are user reports.

#8 - 11/04/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman-xen|1a93412cf138b111dc8cc3deb2f60508e7ee0815.
